Bug 481736 - On X11, Notifications pop up in the middle of the screen after being away from pc for a while
Summary: On X11, Notifications pop up in the middle of the screen after being away fro...
Status: REPORTED
Alias: None
Product: plasmashell
Classification: Plasma
Component: Notifications (show other bugs)
Version: master
Platform: Other Linux
: NOR normal
Target Milestone: 1.0
Assignee: Plasma Bugs List
URL:
Keywords: qt6, regression
: 483261 483430 (view as bug list)
Depends on:
Blocks:
 
Reported: 2024-02-23 20:46 UTC by Knut Eirik
Modified: 2024-04-15 03:59 UTC (History)
11 users (show)

See Also:
Latest Commit:
Version Fixed In: 6.0.3


Attachments
This image shows where every notification shows up (1.38 MB, image/jpeg)
2024-02-23 20:46 UTC, Knut Eirik
Details
Notification position (489.52 KB, image/png)
2024-02-24 10:35 UTC, Jurica Vukadin
Details
notification settings w/ the notification popup in wrong position (195.19 KB, image/png)
2024-03-10 02:37 UTC, Jacob
Details
Old notification before sleep. (98.39 KB, image/png)
2024-03-31 15:42 UTC, Jurica Vukadin
Details
Old notification after sleep. (98.91 KB, image/png)
2024-03-31 15:42 UTC, Jurica Vukadin
Details
New notification. (123.37 KB, image/png)
2024-03-31 15:42 UTC, Jurica Vukadin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Knut Eirik 2024-02-23 20:46:01 UTC
Created attachment 166046 [details]
This image shows where every notification shows up

SUMMARY
After leaving the computer idling and then later logging back in from the lock screen, all the notifications will pop up in the middle of the screen as can be seen in the attached screenshot. 
I'm running KDE6. 
Using an LG 4k OLED TV 
Please let me know if you need any additional information.



SOFTWARE/OS VERSIONS
Linux/KDE Plasma: 
(available in About System)
KDE Plasma Version: 5.93.0
KDE Frameworks Version: 5.249.0
Qt Version: 6.7.0
Comment 1 Doug 2024-02-24 06:38:34 UTC
Cannot reproduce, they are showing up near System Tray as expected.

Operating System: KDE neon Testing Edition
KDE Plasma Version: 6.0.0
KDE Frameworks Version: 6.0.0
Qt Version: 6.6.2
Kernel Version: 6.5.0-21-generic (64-bit)
Graphics Platform: Wayland
Graphics Processor: AMD Radeon Pro WX 3200 Series
Comment 2 Jurica Vukadin 2024-02-24 10:35:58 UTC
Created attachment 166054 [details]
Notification position

I am seeing the same on RC2 even without idle, regardless of the system settings config.
Comment 3 Nate Graham 2024-02-26 20:58:18 UTC
Interestingly, that's not the exact middle, it's the bottom middle, where OSDs go. So it seems like something is positioning the notifications as if they're OSDs (not notifications or windows).
Comment 4 Nate Graham 2024-02-29 17:23:43 UTC
Are folks who could reproduce this issue in the past still able to do so with the final 6.0 release?
Comment 5 Jurica Vukadin 2024-02-29 17:32:34 UTC
(In reply to Nate Graham from comment #4)
> Are folks who could reproduce this issue in the past still able to do so
> with the final 6.0 release?

Yep, and it does seem to have something to do with DPMS. I just reproduced it with:
$ xset dpms force off
$ notify-send test
Comment 6 Knut Eirik 2024-02-29 17:38:48 UTC
(In reply to Nate Graham from comment #4)
> Are folks who could reproduce this issue in the past still able to do so
> with the final 6.0 release?

It still happens after coming back from lockscreen after idling for a while.
Comment 7 Nate Graham 2024-03-01 02:47:29 UTC
Thanks. Does it happen on Wayland too, or only on X11?
Comment 8 Jurica Vukadin 2024-03-01 08:47:16 UTC
Seems to be X11-only in my case.
Comment 9 Nate Graham 2024-03-03 00:56:45 UTC
Is everyone else who's affected seeing the same thing?
Comment 10 Knut Eirik 2024-03-03 10:38:23 UTC
Could not reproduce the bug on wayland, only on x11.
Comment 11 Jacob 2024-03-10 02:37:09 UTC
Created attachment 166841 [details]
notification settings w/ the notification popup in wrong position

I am also having this issue ever since upgrading to 6.0.1. I upgraded from 5.27.10 right into 6.0.1 on Arch. I did not have any testing or beta packages of Plasma 6 installed.

Prior to Plasma 6, notifications were always right next to the system tray, bottom right side of the screen.

No matter what notification position setting I choose, I always get the center / middle-bottom notification popup position.

Attached screenshot showing send-notify, notification settings and the notification popup together.

Xorg 21.1.11
Plasma 6.0.1
Comment 12 duha.bugs 2024-03-11 18:09:34 UTC
*** Bug 483261 has been marked as a duplicate of this bug. ***
Comment 13 zvova7890 2024-03-13 00:47:05 UTC
Knut Eirik, yes, it is X11 only.
Comment 14 Nate Graham 2024-03-13 21:27:29 UTC
*** Bug 483430 has been marked as a duplicate of this bug. ***
Comment 15 Fushan Wen 2024-03-15 14:31:13 UTC
https://invent.kde.org/plasma/plasma-workspace/-/merge_requests/4063 will also fix it.
Comment 16 Fushan Wen 2024-03-19 08:58:56 UTC
Git commit 6d543aca43858f707b32e1e08c39bfd7b3ffaf8e by Fushan Wen.
Committed on 19/03/2024 at 08:41.
Pushed by fusionfuture into branch 'master'.

shell: emit screenGeometryChanged when panel is ready

When screenGeometryChanged is emitted in `handleScreenOrderChanged`,
only desktops are ready. Panels are still in the waiting list and do not
have a associated containment, so those containments do not have a valid
id for screen, which is required to get a valid screen geometry.
Related: bug 482339
FIXED-IN: 6.0.3

M  +1    -0    shell/shellcorona.cpp

https://invent.kde.org/plasma/plasma-workspace/-/commit/6d543aca43858f707b32e1e08c39bfd7b3ffaf8e
Comment 17 Fushan Wen 2024-03-19 09:23:38 UTC
Git commit bd226094ccb3d143538553ec31add3133b9a5f34 by Fushan Wen.
Committed on 19/03/2024 at 09:11.
Pushed by fusionfuture into branch 'Plasma/6.0'.

shell: emit screenGeometryChanged when panel is ready

When screenGeometryChanged is emitted in `handleScreenOrderChanged`,
only desktops are ready. Panels are still in the waiting list and do not
have a associated containment, so those containments do not have a valid
id for screen, which is required to get a valid screen geometry.
Related: bug 482339
FIXED-IN: 6.0.3


(cherry picked from commit 6d543aca43858f707b32e1e08c39bfd7b3ffaf8e)

M  +1    -0    shell/shellcorona.cpp

https://invent.kde.org/plasma/plasma-workspace/-/commit/bd226094ccb3d143538553ec31add3133b9a5f34
Comment 18 Jurica Vukadin 2024-03-30 18:58:38 UTC
Still seeing this with Arch 6.0.3 packages.
Comment 19 Fushan Wen 2024-03-31 03:03:47 UTC
(In reply to Jurica Vukadin from comment #18)
> Still seeing this with Arch 6.0.3 packages.

Do new notifications also pop up in the wrong position, or only existing notifications?
Comment 20 Jurica Vukadin 2024-03-31 15:41:10 UTC
I ran this:
notify-send -t $((60 * 1000)) "old notification"
sleep 5
spectacle -bfn
xset dpms force off
sleep 30
xset dpms force on
sleep 5
spectacle -bfn

"old notification" was in the correct position before going to sleep. It moved slightly up after waking. I then did a notify-send "new notification" and that showed up the mid-low-center.
Comment 21 Jurica Vukadin 2024-03-31 15:42:05 UTC
Created attachment 167988 [details]
Old notification before sleep.
Comment 22 Jurica Vukadin 2024-03-31 15:42:21 UTC
Created attachment 167989 [details]
Old notification after sleep.
Comment 23 Jurica Vukadin 2024-03-31 15:42:31 UTC
Created attachment 167990 [details]
New notification.
Comment 24 Knut Eirik 2024-04-01 14:28:03 UTC
bug still present for me on 6.0.3
Comment 25 Fushan Wen 2024-04-02 11:40:30 UTC
Cannot reproduce. I'd suggest debugging it yourself as it might only happen on specific hardware
Comment 26 zmeyski@gmail.com 2024-04-02 14:01:27 UTC
(In reply to Fushan Wen from comment #25)
> Cannot reproduce. I'd suggest debugging it yourself as it might only happen
> on specific hardware

It's not fixed, notifications still appear slightly below the center of the screen on 6.0.3
Care to provide any hints on how to debug ourselves?
Comment 27 petrk 2024-04-04 15:09:51 UTC
Still affected.
6.0.3 Nvidia
Comment 28 Ancoron 2024-04-09 23:26:05 UTC
I am also affected by this issue (have to use X11 until Wayland supports full session restore and some other apps solve their compatibility with Wayland).

However, I have 2 different machines with pretty much identical system/software setup and only on one of them the issue occurs:

Machine A → Main User → BAD
Machine A → Secondary User → GOOD
Machine B → Main User → GOOD

So I suspect that this issue has to to with some leftover config from Plasma 5 which are only present for some users.

Both machine setups where previously running Plasma 5 and have been upgraded.

System info for Machine A:

Operating System: Arch Linux 
KDE Plasma Version: 6.0.3
KDE Frameworks Version: 6.0.0
Qt Version: 6.6.3
Kernel Version: 6.8.4-arch1-1 (64-bit)
Graphics Platform: X11
Processors: 16 × AMD Ryzen 7 5700G with Radeon Graphics
Memory: 58.7 GiB of RAM
Graphics Processor: AMD Radeon Graphics
Comment 29 Ancoron 2024-04-10 21:28:34 UTC
Now this is weird, after a full system upgrade + reboot and some about 2-3 sleeps, the notification still where in it's correct place.

Then I ran the test:

notify-send -t $((60 * 1000)) "Test notification"; sleep 5; spectacle -bfn; xset dpms force off; sleep 30; xset dpms force on; sleep 5; spectacle -bfn

...which showed the notification after "xset dpms force on" only offset a bit (upwards).

But then all following notifications again came back in the middle/center of my screen.

If I remember correctly, then what I did for sleep just today was to first turn the monitor off and then press the sleep button. Usually I did tend to first put my machine to sleep and then turn the monitor off, which may be an indicator of the code path into play for this bug?

But now after running the test, even a sleep after monitor off doesn't fix it, so have to reboot again.
Comment 30 Graham Poole 2024-04-15 03:59:48 UTC
I have this same issue. It is fine after a reboot, and then appears after the computer has been on for a while.
I'm not a dev, but can happily provide info and run tests if it is useful.

Operating System: openSUSE Tumbleweed 20240412
KDE Plasma Version: 6.0.3
KDE Frameworks Version: 6.0.0
Qt Version: 6.7.0
Kernel Version: 6.8.5-1-default (64-bit)
Graphics Platform: X11
Processors: 12 × AMD Ryzen 5 5600X 6-Core Processor
Memory: 15.6 GiB of RAM
Graphics Processor: NVIDIA GeForce RTX 3060/PCIe/SSE2
Manufacturer: Gigabyte Technology Co., Ltd.
Product Name: B550 AORUS PRO AC